## ros-foxy-rosapi 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosapi)

find_package(ament_cmake_ros REQUIRED)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

ament_python_install_package(
  ${PROJECT_NAME} PACKAGE_DIR "src/${PROJECT_NAME}")

ament_package()

install(PROGRAMS scripts/rosapi_node
  DESTINATION lib/${PROJECT_NAME}
)

install(
  FILES mapping_rules.yaml
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_pytest REQUIRED)
  ament_add_pytest_test(${PROJECT_NAME}_test_stringify_field_types test/test_stringify_field_types.py)
endif()

=== debian/changelog ===
ros-foxy-rosapi (1.3.1-1focal) focal; urgency=high

  * Add graceful shutdown (#794 <https://github.com/RobotWebTools/rosbridge_suite/issues/794>)
  * Contributors: Hans-Joachim Krauch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 21 Oct 2022 05:00:00 -0000

ros-foxy-rosapi (1.3.0-1focal) focal; urgency=high

  * Fixed /get_param service for arrays (#776 <https://github.com/RobotWebTools/rosbridge_suite/issues/776>)
  * Contributors: p0rys

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 16 Aug 2022 05:00:00 -0000

ros-foxy-rosapi (1.2.0-1focal) focal; urgency=high

  * Added /rosapi/get_ros_version service (#708 <https://github.com/RobotWebTools/rosbridge_suite/issues/708>)
  * Fixed node name collision with websocket launch file (#707 <https://github.com/RobotWebTools/rosbridge_suite/issues/707>)
  * Contributors: Jacob Bandes-Storch, Kedus Mathewos, rob-clarke

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 20 May 2022 05:00:00 -0000

ros-foxy-rosapi (1.1.2-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 03 Jan 2022 06:00:00 -0000

ros-foxy-rosapi (1.1.1-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 09 Dec 2021 06:00:00 -0000

ros-foxy-rosapi (1.1.0-1focal) focal; urgency=high

  * Move msg/srv from rosapi and rosbridge_library into separate packages; enable Rolling in CI (#665 <https://github.com/RobotWebTools/rosbridge_suite/issues/665>)
  * Exit cleanly on SIGINT; remove sleep in test (#667 <https://github.com/RobotWebTools/rosbridge_suite/issues/667>)
  * Remove unused service_host and search_param services (#660 <https://github.com/RobotWebTools/rosbridge_suite/issues/660>)
  * Migrate remaining linters to pre-commit (#657 <https://github.com/RobotWebTools/rosbridge_suite/issues/657>)
  * Add pre-commit, format with black and isort (#648 <https://github.com/RobotWebTools/rosbridge_suite/issues/648>)
  * Contributors: Adrian Macneil, Jacob Bandes-Storch, Kenji Miyake

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 22 Oct 2021 05:00:00 -0000

ros-foxy-rosapi (1.0.8-1focal) focal; urgency=high

  * Add missing test_depends and buildtool_depends (#617 <https://github.com/RobotWebTools/rosbridge_suite/issues/617>)
  * Fix various Python code style and lint issues
  * Contributors: Christian Clauss, Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 26 Aug 2021 05:00:00 -0000

ros-foxy-rosapi (1.0.7-1focal) focal; urgency=high

  * Load message definitions from .msg files; exclude /msg/ and include builtin_interfaces in combined definitions (#597 <https://github.com/RobotWebTools/rosbridge_suite/issues/597>)
  * Fix typos discovered by codespell (#600 <https://github.com/RobotWebTools/rosbridge_suite/issues/600>)
  * Contributors: Christian Clauss, Jacob Bandes-Storch

 -- Russell Toris <rctoris@wpi.edu>  Wed, 18 Aug 2021 05:00:00 -0000

ros-foxy-rosapi (1.0.6-1focal) focal; urgency=high

  * Include /msg/ in type names (#591 <https://github.com/RobotWebTools/rosbridge_suite/issues/591>)
  * Fix broken links in changelogs
  * Contributors: Jacob Bandes-Storch

 -- Russell Toris <rctoris@wpi.edu>  Tue, 17 Aug 2021 05:00:00 -0000

ros-foxy-rosapi (1.0.5-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 12 Aug 2021 05:00:00 -0000

ros-foxy-rosapi (1.0.4-1focal) focal; urgency=high

  * Include /msg/ in type names (#584 <https://github.com/RobotWebTools/rosbridge_suite/issues/584>)
    It's more canonical for ROS 2 type names to be of the form foo_msgs/msg/Bar rather than just foo_msgs/Bar. This is occasionally reflected in documentation and command line tooling: https://docs.ros.org/en/galactic/Tutorials/Topics/Understanding-ROS2-Topics.html#ros2-interface-show
    So rather than stripping out /msg/, we include it in the type definitions.
    See also: https://github.com/RobotWebTools/rosmsg/pull/12
  * Contributors: Jacob Bandes-Storch

 -- Russell Toris <rctoris@wpi.edu>  Wed, 11 Aug 2021 05:00:00 -0000

ros-foxy-rosapi (1.0.3-1focal) focal; urgency=high

  * Add TopicsAndRawTypes service (#574 <https://github.com/RobotWebTools/rosbridge_suite/issues/574>, adapted from ROS 1 implementation #452 <https://github.com/RobotWebTools/rosbridge_suite/issues/452>)
  * fix: remove json encoding before setting string params (#521 <https://github.com/RobotWebTools/rosbridge_suite/issues/521>)
  * Update rosapi/proxy.py to match eloquent API (#447 <https://github.com/RobotWebTools/rosbridge_suite/issues/447>)
  * Contributors: Jacob Bandes-Storch, justinscorringe, travipross

 -- Russell Toris <rctoris@wpi.edu>  Tue, 03 Aug 2021 05:00:00 -0000

ros-foxy-rosapi (1.0.2-1focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Sep 2019 05:00:00 -0000

ros-foxy-rosapi (1.0.1-1focal) focal; urgency=high

  * fix missing dependency

 -- Russell Toris <rctoris@wpi.edu>  Fri, 20 Sep 2019 05:00:00 -0000

ros-foxy-rosapi (1.0.0-1focal) focal; urgency=high

  * Port to ROS 2

 -- Russell Toris <rctoris@wpi.edu>  Thu, 19 Sep 2019 05:00:00 -0000

ros-foxy-rosapi (0.11.3-1focal) focal; urgency=high

  * Travis CI: Look for Python syntax errors and undefined name (#420 <https://github.com/RobotWebTools/rosbridge_suite/issues/420>)
    * Travis CI: Look for Python syntax errors and undefined name
    _It would be prudent to start running the tests in both 2 and 3._  https://github.com/RobotWebTools/rosbridge_suite/issues/401#issuecomment-512069249
    * Add names to protect the guilty
    * Five jobs, not six
    * Identity is not the same thing as equality in Python
    * Flake8 tests now pass on Python 2
  * Contributors: cclauss

 -- Russell Toris <rctoris@wpi.edu>  Wed, 07 Aug 2019 05:00:00 -0000

ros-foxy-rosapi (0.11.2-1focal) focal; urgency=high

  * constnames and constvalues in typedef (#412 <https://github.com/RobotWebTools/rosbridge_suite/issues/412>)
  * Contributors: Kad91

 -- Russell Toris <rctoris@wpi.edu>  Mon, 08 Jul 2019 05:00:00 -0000



=== debian/control ===
Source: ros-foxy-rosapi
Section: misc
Priority: optional
Maintainer: Jihoon Lee <jihoonlee.in@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-pytest, ros-foxy-ament-cmake-ros, ros-foxy-geometry-msgs, ros-foxy-rmw-dds-common, ros-foxy-sensor-msgs, ros-foxy-shape-msgs, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/rosapi
Standards-Version: 3.9.2

Package: ros-foxy-rosapi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-builtin-interfaces, ros-foxy-rcl-interfaces, ros-foxy-rclpy, ros-foxy-ros2node, ros-foxy-ros2param, ros-foxy-ros2pkg, ros-foxy-ros2service, ros-foxy-ros2topic, ros-foxy-rosapi-msgs, ros-foxy-rosbridge-library, ros-foxy-ros-workspace
Description: Provides service calls for getting ros meta-information, like list of topics, services, params, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rosapi//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
